package com.hzs.system.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.system.base.BdCubasdoc;
import com.hzs.common.domain.system.base.ext.BdCubasdocExt;
import com.hzs.system.base.param.BdCubasdocParam;

import java.util.List;

/**
 * 供应商设置 服务类
 */
public interface IBdCubasdocService extends IService<BdCubasdoc> {

    /*
     *  根据条件查询供应商
     **/
    List<BdCubasdocExt> querySupplierByCondition(BdCubasdocParam cubasdocParam);

    /*
     *  根据条件查询客户
     **/
    List<BdCubasdocExt> queryCustomerByCondition(BdCubasdocParam cubasdocParam);

    /*
     *  根据条件查询客商
     **/
    List<BdCubasdocExt> queryCubasdocByCondition(BdCubasdocParam cubasdocParam);

    /*
     *  保存供应商
     **/
    void saveCubasdoc(BdCubasdocParam cubasdocParam, Long pkMember);

    /*
     *  删除客商
     **/
    void deleteCuBasdoc(Integer pkId, Long pkMember);

}
